QGIS Application - Bug report #6373

PAL labeling font size for layer not entirely overridden by data defined size

2012-09-19 09:38 AM - Larry Shaffer

Status: Closed
Priority: Normal
Assignee: Larry Shaffer
Category: Labelling

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 15635

Description

When data defining font size the PAL layer-level font size appears to be used for initial calculation of label placement, with the data
defined value (that should be overriding the layer level size) applied later when drawing the label. | have not investigated this bug much,
but have seen issues with it. | intend to fix it, though | am reporting it now so it does not get overlooked or forgotten.

Example of issue: when data defined font size is 10pt and the layer-level size is 20pt, curved labels will be spaced/calculated at 20pt, but
rendered at 10pt. (Useful for faking letter-spacing, but is actually a bug.)

Associated revisions

Revision 036d844f - 2012-10-12 11:32 AM - Larry Shaffer
Fix #6373, adv labeling data defined font size not affected by layer font size setting
- Label QFontMetricsF for data and layer defined options now stored in QgsPalGeometry

- Fix expression in rotate label tool

History

#1 - 2012-10-12 02:33 AM - Larry Shaffer
- Status changed from Open to Closed

Fixed in changeset commit:"036d844fc58b7223953216cb6b9ba987f0abb728".
